import { Component, Input } from "@angular/core";
import { UrlListingItem } from "../../../shared/components/url-listing/UrlListingItem";
import { Router } from "@angular/router";

@Component({
    selector: 'app-url-listing',
    templateUrl: './url-listing.component.html'
})
export class UrlListingComponent {

    @Input()
    items: UrlListingItem[];

    @Input()
    urlLimit: number = 3;

    constructor(private router: Router) { }

    ngOnInit() {

        console.log(this.items.length > this.urlLimit)
    }

    navigate(link: string) {
        this.router.navigateByUrl(link);
    }
}